- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- ContrastImage
- EnhanceImage
- EqualizeImage
- GammaImageChannel
- LevelImageChannel
- ModulateImage
- NegateImageChannel
- NormalizeImageChannel

# NAME

enhance - Enhance an Image

# SYNOPSIS

MagickBooleanType ContrastImage( Image *image, const MagickBooleanType sharpen );

Image * EnhanceImage( const Image *image, ExceptionInfo *exception );

MagickBooleanType EqualizeImage( Image *image );

MagickBooleanType GammaImageChannel( Image *image, const ChannelType channel, const double gamma );

MagickBooleanType LevelImageChannel( Image *image, const ChannelType channel, const char *levels );

MagickBooleanType ModulateImage( Image *image, const char *modulate );

MagickBooleanType NegateImageChannel( Image *image, const ChannelType channel, const MagickBooleanType grayscale );

# FUNCTION DESCRIPTIONS

## ContrastImage

> ContrastImage() enhances the intensity differences between the lighter and darker elements of the image. Set sharpen to a value other than 0 to increase the image contrast otherwise the contrast is reduced.

The format of the ContrastImage method is:

> MagickBooleanType ContrastImage ( Image *image, const MagickBooleanType sharpen );

A description of each parameter follows:

image:
  The image.

sharpen:
  Increase or decrease image contrast.

## EnhanceImage

> EnhanceImage() applies a digital filter that improves the quality of a noisy image.

The format of the EnhanceImage method is:

> Image *EnhanceImage ( const Image *image, ExceptionInfo *exception );

A description of each parameter follows:

image:
  The image.

exception:
  Return any errors or warnings in this structure.

## EqualizeImage

> EqualizeImage() applies a histogram equalization to the image.

The format of the EqualizeImage method is:

> MagickBooleanType EqualizeImage ( Image *image );

A description of each parameter follows:

image:
  The image.

## GammaImageChannel

Use `GammaImage()` to gamma-correct a particular image channel. The same image viewed on different devices will have perceptual differences in the way the image's intensities are represented on the screen. Specify individual gamma levels for the red, green, and blue channels, or adjust all three with the gamma parameter. Values typically range from 0.8 to 2.3.

You can also reduce the influence of a particular channel with a gamma value of 0.

The format of the GammaImage method is:

> MagickBooleanType GammaImageChannel ( Image *image, const ChannelType channel, const double gamma );

A description of each parameter follows:

image:
  The image.

channel:
  The channel.

gamma:
  The image gamma.

## LevelImageChannel

`LevelImage()` adjusts the levels of a particular image channel by scaling the colors falling between specified white and black points to the full available quantum range. The parameters provided represent the black, mid, and white points. The black point specifies the darkest color in the image. Colors darker than the black point are set to zero. Gamma specifies a gamma correction to apply to the image. White point specifies the lightest color in the image. Colors brighter than the white point are set to the maximum quantum value.

The format of the LevelImage method is:

> MagickBooleanType LevelImageChannel ( Image *image, const ChannelType channel, const char *levels );

A description of each parameter follows:

image:
  The image.

channel:
  The channel.

levels:
  Specify the levels where the black and white points have the

## ModulateImage

> ModulateImage() lets you control the brightness, saturation, and hue of an image. Modulate represents the brightness, saturation, and hue as one parameter ( e.g. 90, 150, 100 ) .

The format of the ModulateImage method is:

> MagickBooleanType ModulateImage ( Image *image, const char *modulate );

A description of each parameter follows:

image:
  The image.

modulate:
  Define the percent change in brightness, saturation, and hue.

## NegateImageChannel

> NegateImageChannel() negates the colors in the reference image. The grayscale option means that only grayscale values within the image are negated.

The format of the NegateImageChannel method is:

> MagickBooleanType NegateImageChannel ( Image *image, const ChannelType channel, const MagickBooleanType grayscale );

A description of each parameter follows:

image:
  The image.

channel:
  The channel.

grayscale:
  If MagickTrue, only negate grayscale pixels within the image.

## NormalizeImageChannel

> The NormalizeImageChannel() method enhances the contrast of a color image by adjusting the pixels color to span the entire range of colors available.

The format of the NormalizeImage method is:

        MagickBooleanType NormalizeImage(Image *image,
          const unsigned long channel)

A description of each parameter follows:

image:
  The image.

channel:
  The channel.

"Image manipulation software that works like magick"